Your achievements

Level 1

0% to

Level 2

Tip /
Sign in

Sign in to Community

to gain points, level up, and earn exciting badges like the new
BedrockMission!

Learn more

View all

Sign in to view all badges

Not able to fix these dependency issues

Heena06
Level 3
Level 3

Hi,

 

I am not able to fix these dependency issues, I checked it in http://localhost:4502/system/console/depfinder and used the dependency in my project's Parent pom.xml, Can anyone suggest is it the correct way or I need to add the dependencies in each folder's pom.xml under my project. 

 

Heena06_2-1602102001696.png

 

 

Also, dependencies available are of lesser version. How I can get it updated.

 

Heena06_3-1602102097757.png

 

 

Heena06_0-1602101620693.pngHeena06_1-1602101677322.png

 

Thanks,

Heena

 

4 Replies
Ravi_Pampana
Community Advisor
Community Advisor

Hi,

 

Can you check uber jar is upto date of the AEM version ? Sometimes we see these issues because of uber jar is having older version

vmadala
Level 3
Level 3

Hello Heena,

 

You're correct, I think you need to downgrade your bundle versions in the parent pom.xml file, To update these jars on AEM instances you need to upgrade the AEM version. What version are using now .?

And you're child module also need separate pom.ml files. 

 

 

Thanks,

Venkat.

Nikhil-Kumar
Community Advisor
Community Advisor

@Heena06 

 
Which version of AEM are you using ?

If some dependencies are not resolved in your AEM instance then you need deploy those dependencies as bundles.


https://aemsimplifiedbynikhil.wordpress.com/2020/08/23/resolve-dependencies-by-converting-jar-to-bun...


Thanks,
Nikhil